Bug 62624 - bad requires when build a package with "special" file names
bad requires when build a package with "special" file names
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2002-04-03 02:05 EST by eric gerbier
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-04-03 02:06:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description eric gerbier 2002-04-03 02:05:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [fr] (X11; U; Linux 2.4.9-31 i686)

Description of problem:
I tried to build a package for an enterprise software, and it appears that some
requirements were not found. In fact my tar.gz contains file with "strange"
names : some
names contains space caracters, and even space followed by a "->".
when passed to /usr/lib/rpm/find-requires, this files are not passed well to
file command.
in second case ("* ->"), I can have an error.

Version-Release number of selected component (if applicable): rpm-build-4.0.4-7x

How reproducible:

Steps to Reproduce:
1.create a shell script, name it "my_shell.sh", pass it to find-requires, it
2. rename it as "my shell", pass it again, it will not work
3.rename it as "another -> shell", you will have  the error :
file: invalid option -- >
Usage: file [-bciknvzL] [-f namefile] [-m magicfiles] file...

Actual Results:  I have only partial requirement in my rpm package

Additional info:
Comment 1 Jeff Johnson 2002-04-03 17:00:41 EST
find-requires was never written to accept the above
naming pathologies.

You can
	0) (recommended) rename the files to something sane.
	1) disable auto requires generation with
		AutoReqProv: no
	    in the spec file, and add your Requires:/Provides:
	2) hack on find-requires to Do The Right Thing.

If you choose 2), please send me a patch :-)
Comment 2 eric gerbier 2002-04-04 01:51:25 EST
I think to a patch, but I add to modify rpm command . I don't have a look into
rpm source code, but
it as to pass files with quote delimiters to find-requires (for exemple : echo
"my shell" | find-requires),
so find-requires can treat args real names.

Note You need to log in before you can comment on or make changes to this bug.